ObjectARX_IntersectWith實體是否相交

IntersectWith:判斷實體是否相交。數組

IntersectWith函數的定義形式(1)爲:函數

void IntersectWith(Entity entityPointer,Intersect intersectType,Point3dCollection points,Int32 thisGraphicSystemMarker,Int32 otherGraphicSystemMarker);

第一個參數:entityPointer:實體;第二個參數:intersectType:相交的類型(AcDb::kOnBothOperands:倆個實體都不延伸; ExtendBoth : 兩個實體都延伸 ; ExtendArgument :只延伸做爲參數的實體(該方法的第一個參數; ExtendThis : 只延伸原實體(調用該方法的實體) )this

)第三個參數:獲取全部相交的點。3d

IntersectWith函數的定義形式(2)爲:code

void IntersectWith(Entity entityPointer, Intersect intersectType,Plane projectionPlane,Point3dCollection points, Int32 thisGraphicSystemMarker,Int32 otherGraphicSystemMarker);

與前一種定義形式相比,多了第三個參數: 當前兩個實體相交的投影平面 。it

具體用法如例:io

AcGePoint3dArray polyLine;//點數組
AcDbPolyline * pPl = ArxUtils::CreatePolyline(polyLine,true);//多段線
if (NULL == pPl)
   return false;
Acad::ErrorStatus es;
AcDbEntity *pEntity = NULL;//多段線實體
es = acdbOpenObject(pEntity,arrPolyLineId[nIndex],AcDb::kForRead);
if (es != Acad::eOk)
    return false;
pPl->intersectWith(pEntity,AcDb::kOnBothOperands,intersectPoints);
if (intersectPoints.length() > 0)
   return true;//有交點
相關文章
相關標籤/搜索